QGIS Application - Bug report #20541
"Topology Checker" and multipart (shapefiles)
2018-11-18 02:44 PM - Thomas Nogatz

Status: Open

Priority: Normal

Assignee:

Category: C++ plugins/Topology checker

Affected QGIS version:3.7(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28361
Description

New description:
In QGIS 3 shapefiles are now always multipart, so the Topology Checker rule "must not have muultipart feature" always return errors for
such datasource.

Old description:

Prerequisite: Polygon shape (see attached shapefile) with clean topology after im- and export with GRASS (v.in.ogr.qgis, snapping
threshold 0.1 m):

without invalid/overlapping/multipart geometries, without duplicates, with some allowed gaps.

Observation:

QGIS 2.18 - Topology Checker (check on invalid/overlapping/multipart/duplicates/gaps) recognizes the gaps. That's correct.
QGIS 3.4.1 - same topology check: The gaps are recognized and a lot of multipart features are reported. But there are no multipart
features - so this should be an error.

History

#1 - 2018-11-19 10:42 AM - Giovanni Manghi
- Status changed from Open to Feedback

in QGIS 3 shapefiles are always forced as multipart, so | guess that the tool should consider shapefiles as a special case.

#2 - 2019-03-09 09:31 AM - Giovanni Manghi

- Operating System deleted (Windows 7)

- Affected QGIS version changed from 3.4.1 to 3.7(master)

- Status changed from Feedback to Open

- Description updated

- Subject changed from Plugin "Topology Checker" - false error report: Multipart Features to "Topology Checker" and multipart (shapefiles)
- Category changed from Vectors to C++ plugins/Topology checker

#3 - 2019-04-02 12:25 PM - Dario Bevilacqua
| have the same problem. | need to check the singlepart and the multipart features and since qgis 3.x it is no more possible.
The command in python 3 (geom.isMultipart()), same as for qgis gui and plugin, return always multipart, even if the geom is single part.

The same file in qgis 2.x and python 2 return the check as "single part".

It's pretty ridiculous that | have to check the geometry with an old and outdated version of qgis. It will be fixed?
#4 - 2019-04-02 12:50 PM - Giovanni Manghi

Dario Bevilacqua wrote:

pretty ridiculous

have you seen #20541-1 ?

also if there is some bug/regression that is a blocker for your workflow please consider supporting the effort for fixing it, rather than ranting about it.

Files

FFH_326.zip 164 KB 2018-11-18 Thomas Nogatz
